Subject: 23.0.60; ns-save-preferences: Wrong type argument: numberp

From: Cezar Halmagean <[email-masked]>
Date: Fri, 18 Jul 2008 12:27:13 -0700

I have compiled nextstep emacs from cvs today (10 min ago) and when I  
try to select the "Save Options" option from the menu I get this error:

ns-save-preferences: Wrong type argument: numberp, (internal-border- 
width . 2)

In GNU Emacs 23.0.60.1 (i386-apple-darwin9.4.0, *Step 9.0)
  of 2008-07-18 on MBP-2.local
configured using `configure  '--with-ns''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: nil
   value of $XMODIFIERS: nil
   locale-coding-system: nil
   default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
   show-paren-mode: t
   nxhtml-global-minor-mode: t
   delete-selection-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <menu-bar> <options>
<save> <menu-bar> <buffer> C-a <down-mouse-1> <mouse-1>
<down-mouse-1> <mouse-movement> <mouse-movement> <mouse-movement>
<mouse-movement> <drag-mouse-1> s-w <escape> w C-x
RET b u <tab> g <tab> <tab> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> e m <tab> a <tab> - r e <tab>
<backspace> <backspace> b u <tab> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
r e p <tab> o <tab> r <tab> <return>

Recent messages:
Loading paren...done
For information about GNU Emacs and the GNU system, type C-h C-a.
OVERVIEW
CONTENTS...done
No event to add
Loading time...done
Loading battery...done
ns-save-preferences: Wrong type argument: numberp, (internal-border- 
width . 2)
call-interactively: Attempt to delete the sole visible or iconified  
frame
Making completion list... [5 times]